Subject: Re: linux-next: build warning after merge of the tip tree

From: Shan Hai <[email-masked]>
Date: Wed, 14 Sep 2011 17:43:30 +0800

On 09/14/2011 05:37 PM, Thomas Gleixner wrote:
> On Wed, 14 Sep 2011, Stephen Rothwell wrote:
>
>> Hi all,
>>
>> After merging the tip tree, today's linux-next build (powerpc allnoconfig)
>> produced this warning:
>>
>> lib/atomic64.c: In function 'lock_addr':
>> lib/atomic64.c:42:2: warning: return from incompatible pointer type
>>
>> Introduced by commit f59ca05871a0 ("locking, lib/atomic64: Annotate
>> atomic64_lock::lock as raw").  This function (which is declared to return
>> "spinlock_t *") is now returning "raw_spinlock_t *".
> My bad, it seems I picked the wrong version of the patch.

Hi Thomas,

Please pick the V4 patch, the last one which I have sent to you,
I am sorry for the subject line it indicates V3 :(

Thanks
Shan Hai